Page MenuHomePhabricator

Implement linting for JSDoc Wikimedia theme own specific styles and scripts
Closed, ResolvedPublic

Description

Setup instructions

See https://phabricator.wikimedia.org/project/profile/3689/

Skills

JavaScript◾️◾️◾️◽️◽️
CLI/npm/grunt◾️◾️◾️◾️◾️

Currently, styles and scripts are not linted against Wikimedia's own coding standards. We need to setup linting first and can do the actual clean up in a separate task (which I'll create once this is done):

You can see the code being used in the style guide for an example.

Details

Related Gerrit Patches:
jsdoc/wmf-theme : masterImplement js, css linting

Event Timeline

Volker_E created this task.Nov 15 2018, 5:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 5:30 AM

@Volker_E Do you mind if I put this task up for GCI?

@Prtksxna Whatever fits your timing better. I won't touch the CSS until it's linted and aligned to our coding conventions, so any further possible code contributions from my side would be halted until then. ;)

Prtksxna updated the task description. (Show Details)Nov 22 2018, 10:21 AM
Prtksxna added a project: Google-Code-in-2018.
Prtksxna moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2018 board.
Aklapper updated the task description. (Show Details)Nov 22 2018, 1:32 PM

Change 475582 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[jsdoc/wmf-theme@master] Implement js, css linting

https://gerrit.wikimedia.org/r/475582

I've added grunt lint. Now either you could create several tasks ("Fix lint errors ...."), create a single task, or I could try fixing this as a non-GCI contribution. Your call.

Change 475582 merged by Prtksxna:
[jsdoc/wmf-theme@master] Implement js, css linting

https://gerrit.wikimedia.org/r/475582

Prtksxna closed this task as Resolved.Nov 25 2018, 3:35 PM